import { BlockView } from 'multiformats';
import { CarReader } from '@ipld/car';
import { Transaction } from './transaction';
import { BulkResult, AnyLink, IndexerResult, DbCarHeader, IdxCarHeader } from './types';
export declare function makeDbCarFile(t: Transaction, result: BulkResult, cars: AnyLink[], compact?: boolean): Promise<BlockView<unknown, number, number, 1>>;
export declare function makeIdxCarFile(t: Transaction, { indexes }: IndexerResult, cars: AnyLink[], compact?: boolean): Promise<BlockView<unknown, number, number, 1>>;
export declare function parseDbCarFile(reader: CarReader): Promise<DbCarHeader>;
export declare function parseIdxCarFile(reader: CarReader): Promise<IdxCarHeader>;
